## pythonmagick 0.9.11

=== debian/changelog ===
pythonmagick (0.9.11-2ubuntu2) wily; urgency=medium

  * No-change rebuild against libmagick++-6.q16-5v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 14:33:21 +0000

pythonmagick (0.9.11-2ubuntu1) vivid; urgency=medium

  * Merge from debian, remaining changes:
    - build-depend on gccxml.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Fri, 31 Oct 2014 13:15:18 +0000

pythonmagick (0.9.11-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: Do not build static library. (Closes: #763716)
  * debian/copyright: Add short license names.
  * debian/control: Update Standards-Verison. No changes required.

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 03 Oct 2014 13:26:14 +0200

pythonmagick (0.9.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fix build with newer imagemagick releases. (Closes: #758001)
  * debian/patches:
    - 003_detect_py27.diff: Removed, no longer needed.
    - 001_autofoo_fixes.diff: Refreshed.
  * debian/{rules,control,source/format}: Use 3.0 (quilt) and remove quilt
    from build depends and dh call.
  * debian({rules,control}: Switch to dh_python2. Replace python-support with
    dh-python in Build-Depends and invoke dh with --with python2 instead of
    python-support.
  * debian/control:
    - Bump libmagic++-dev to >= 8:6.8.6. Required by the new upstream version.
    - Bump Standards-Version to 3.9.5. No changes required.
  * debian/rules:
    - Build with --disable-silent-rules.
    - Build with --parallel.
    - Remove *.la files.
  * debian/copyright: Update copyright years.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 07 Sep 2014 16:45:55 +0200

pythonmagick (0.9.8-1ubuntu3) utopic; urgency=high

  * No change rebuild against boost1.55.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 29 Apr 2014 08:04:43 +0100

pythonmagick (0.9.8-1ubuntu2) trusty; urgency=low

  * No change rebuild for Boost 1.54 transition.

 -- Dmitrijs Ledkovs <xnox@ubuntu.com>  Mon, 21 Oct 2013 12:44:57 +0100

pythonmagick (0.9.8-1ubuntu1) saucy; urgency=low

  * Directly Build-Depend on gccxml. Needed for libboost-python-dev's Pyste to
    run.

 -- William Grant <wgrant@ubuntu.com>  Sun, 13 Oct 2013 12:29:38 +1100

pythonmagick (0.9.8-1) unstable; urgency=low

  * Team upload.

  [ Sebastian Ramacher ]
  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4.
    - Bump debhelper to (>= 9) for arch and indep targets.
    - Remove unnecessary Build-Depends autotools-dev and dpkg-dev.
  * debian/compat: Bump to 9.
  * debian/rules:
    - Run loops with set -e.
    - Call dh correctly.
    - No need to include /usr/share/dpkg/buildflags.mk anymore.
  * debian/copyright:
    - Update Format URL.
    - Merge the two debian/* sections.
    - Fix formatting of the ImageMagick license.
    - Update copyright years
  * debian/patches:
    - 001_autofoo_fixes.diff: Use python-config --includes to fix build
      failure. (Closes: #710790)
    - 002_set_minimum_python_version_to_2.4.diff: Removed, not needed anymore.
    - 004_quote_cppflags.diff: Removed, not needed anymore.
    - __init__-fixup: Removed, not needed anymore.

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 02 Jun 2013 15:59:18 +0200

pythonmagick (0.9.7-2) unstable; urgency=low

  * Team upload.
  * Enable hardened build:
    - debian/patches: add 004_quote_cppflags.diff to fix build issues with
      enabled hardening flags (Closes: #652483).
    - debian/rules: export buildflags.
    - debian/control: add versioned Build-Dep on dpkg-dev for
      /usr/share/dpkg/buildflags.mk
  * debian/control: fix spelling error in description.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Tue, 20 Dec 2011 12:32:16 +0100

pythonmagick (0.9.7-1) unstable; urgency=low

  * Team upload.

  [ Bernd Zeimetz ]
  * Upstream's __init__.py is *WEIRD*. I think I've fixed it as it should be,
    although this change might introduce features which are not available in
    other distributions. (Closes: #495025) 
  * Removing myself from uploaders.

  [ Sebastian Ramacher ]
  * New upstream release
    - Fixes build issues with newer ligmagick++ versions (Closes: #625581).
    - debian/control: Bump Build-Dep of libmagick++-dev to 8:6.6.7-9.
  * Drop autotools related diffs and run dh --with autoreconf instead.
    - debian/control: Add Build-Dep on dh-autoreconf.
    - debian/rules: call dh with --with autoreconf.
    - debian/patches: remove diffs that are releated to autotools output.
  * Detect Python 2.7 correctly (Closes: #632508) and honor PYTHON environment
    variable.
  * Build for all supported Python versions.
    - debian/control: Build-Dep on python-all-dev instead of python-dev.
    - debian/rules: Build for all supported Python versions.
  * debian/patches: Format according to DEP-3.
  * debian/control: Bump Standards-Version (no changes required).
  * debian/copyright:
    - Update copyright years.
    - Fixes to be DEP-5 compliant.
    - Fix license of PythonMagick. It is released under the ImageMagick
      License, not GPL-3+.

 -- Sebastian Ramacher <s.ramacher@gmx.at>  Wed, 19 Oct 2011 20:12:28 +0200

pythonmagick (0.9.1-3) unstable; urgency=low

  * Add pkg-config as build-dependency. 
  * Bumping Standards-Version to 3.8.4.
  * Add debian/README.source. 
  * Update patches to include python2.6 properly. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 12 May 2010 23:05:38 +0200

pythonmagick (0.9.1-2) unstable; urgency=low

  * Remove usage of cdbs in favour of debhelper >> 7
  * change dpatch to quilt

 -- Carl Fürstenberg <azatoth@gmail.com>  Sun, 28 Feb 2010 14:44:53 +0100

pythonmagick (0.9.1-1) unstable; urgency=low

  [ Thomas Viehmann ]
  * New upstream release
    - compatible with new imagemagick. Closes: #512049, #524588
    - links against current boost. Closes: #488105
    - Fixes to autofoo:

