=== debian/control ===
Source: pythonmagick
Section: python
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/pythonmagick/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/pythonmagick/trunk/
Uploaders: Carl Fürstenberg <azatoth@gmail.com>
Build-Depends:
 debhelper (>= 9),
 libmagick++-dev (>= 8:6.8.6),
 libtool (>= 1.5),
 libboost-python-dev (>= 1.34.1-8),
 python-all-dev (>= 2.5),
 pkg-config,
 dh-autoreconf,
 gccxml,
 dh-python
Standards-Version: 3.9.6
Homepage: http://www.imagemagick.org
XS-Python-Version: all

Package: python-pythonmagick
Architecture: any
Provides: ${python:Provides}
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Object-oriented Python interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python.
