=== debian/rules ===
#!/usr/bin/make -f

PYVERSIONS = $(shell pyversions -vr)

%:
	dh $@ --with python2 --with autoreconf --parallel

override_dh_auto_clean:
	set -e && for pyver in $(PYVERSIONS); do \
		PYTHON=python$$pyver dh_auto_clean -Bbuild/py$$pyver; \
	done

override_dh_auto_configure:
	set -e && for pyver in $(PYVERSIONS); do \
		mkdir -p build/py$$pyver; \
		PYTHON=python$$pyver dh_auto_configure -Bbuild/py$$pyver -- \
			--disable-silent-rules --disable-static; \
	done

override_dh_auto_build:
	set -e && for pyver in $(PYVERSIONS); do \
		PYTHON=python$$pyver dh_auto_build -Bbuild/py$$pyver; \
	done

override_dh_auto_install:
	set -e && for pyver in $(PYVERSIONS); do \
		PYTHON=python$$pyver dh_auto_install -Bbuild/py$$pyver; \
	done
	find debian/ -name "*.la" -delete
