=== debian/watch ===
version=3
http://www.imagemagick.org/download/python/PythonMagick-(.*)\.tar\.gz
