## pythonmagick 0.9.14

=== debian/changelog ===
pythonmagick (0.9.14-3) unstable; urgency=medium

  * Remove obsolete m4 files that lead to FTBFS. This files will be
    regenerated from autoconf-archive by dh_autoreconf.
    (Closes: #843196).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 13 Nov 2016 22:20:01 +0100

pythonmagick (0.9.14-2) unstable; urgency=medium

  * Update copyright

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Tue, 01 Nov 2016 21:46:40 +0100

pythonmagick (0.9.14-1) unstable; urgency=medium

  * Switch watch to .xz and add signature check
  * Add myself as uploader.
  * Switch to git-dpm.
  * Bump Standards-Version no changes.
  * Bump compat to 10.
  * Fixed VCS URL (https) thanks to Ondřej Nový <novy@ondrej.org>
  * Build python3 and python2 version.
  * Add autopkgtest
  * New upstream release:
    - Bug fix: "FTBFS with newer experimental version of imagemagick",
      (Closes: #840428).

 -- Bastien Roucariès <roucaries.bastien+debian@gmail.com>  Sun, 30 Oct 2016 23:44:40 +0100
