=== debian/control ===
Source: pythonmagick
Section: python
Priority: extra
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/pythonmagick.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/pythonmagick.git
Uploaders: Carl Fürstenberg <azatoth@gmail.com>,
 Bastien Roucariès <roucaries.bastien+debian@gmail.com>
Build-Depends:
 autoconf-archive (>= 20160916),
 dh-autoreconf,
 dh-python,
 debhelper (>= 10),
 libboost-python-dev (>= 1.34.1-8),
 libmagick++-dev (>= 8:6.8.6),
 libtool (>= 1.5),
 pkg-config,
 python-all,
 python-all-dev,
 python-setuptools,
 python3-all,
 python3-all-dev,
 python3-setuptools
Standards-Version: 3.9.8
Homepage: http://www.imagemagick.org
Testsuite: autopkgtest-pkg-python

Package: python-pythonmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Object-oriented Python interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python.
 .
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves.
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).

Package: python3-pythonmagick
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: Object-oriented Python 3 interface to ImageMagick
 PythonMagick an interface to ImageMagick to give all the functionality
 of ImageMagick++ into Python 3.
 .
 ImageMagick is a software suite to create, edit, and compose bitmap images.
 It can read, convert and write images in a variety of formats (over 100)
 including DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript,
 SVG, and TIFF. Use ImageMagick to translate, flip, mirror, rotate, scale,
 shear and transform images, adjust image colors, apply various special
 effects, or draw text, lines, polygons, ellipses and Bézier curves.
 All manipulations can be achieved through shell commands as well as through
 an X11 graphical interface (display).
