## pythonmagick 0.9.17

=== debian/changelog ===
pythonmagick (0.9.17-1build1) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:22:44 +0000

pythonmagick (0.9.17-1) unstable; urgency=medium

  * Bug fix: "FTBFS with python3.6 as a supported python3", thanks to
    Scott Kitterman (Closes: #866694).
  * Use lastest autoconf-archive for some python macros.
  * Bump policy (no changes)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 13 Aug 2017 17:22:42 +0200
