=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Uploaders: Carl Fürstenberg <azatoth@gmail.com>,
  Bastien Roucariès <roucaries.bastien+debian@gmail.com>
 Build-Depends:
- autoconf-archive (>= 20160916),
+ autoconf-archive (>= 20170321-1),
  dh-autoreconf,
  dh-python,
  debhelper (>= 10),
@@ -21,7 +21,7 @@
  python3-all,
  python3-all-dev,
  python3-setuptools
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://www.imagemagick.org
 Testsuite: autopkgtest-pkg-python
