=== debian/tests/control ===
Tests: python2
Depends: python-pythonmagick


Tests: python3
Depends: python3-pythonmagick
