## pythonmagick 0.9.19

=== debian/changelog ===
pythonmagick (0.9.19-6) unstable; urgency=medium

  * Team upload.
  * d/control: Bump Standard-Version to 4.5.0.
  * d/gbp.conf: set debian/master as default branch.
  * d/salsa-ci.yml: enable salsa-ci.
  * Remove extra -l on Makfile.am (Closes: #949829).
    - Apply Dimitri John Ledkov patch.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Thu, 27 Feb 2020 17:38:04 -0300

pythonmagick (0.9.19-5) unstable; urgency=medium

  * Team upload.
  * Use debhelper-compat instead of debian/compat.
  * Convert git repository from git-dpm to gbp layout.
  * Bump Standards-Version to 4.4.0.
  * Drop Python 2 support.
  * Enable all hardening.
  * d/watch: Use https protocol.

 -- Ondřej Nový <onovy@debian.org>  Thu, 01 Aug 2019 13:43:52 +0200

pythonmagick (0.9.19-4) unstable; urgency=medium

  * Team upload.
  * Fix autopkgtests

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 May 2019 20:33:19 +0200

pythonmagick (0.9.19-3) unstable; urgency=medium

  * Team upload.
  * Disable failing autopkgtest
  * Add patch for ImageMagick < 7

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 01 May 2019 14:45:43 +0200

pythonmagick (0.9.19-2) unstable; urgency=medium

  * Fix debci

 -- Bastien Roucariès <rouca@debian.org>  Tue, 22 Jan 2019 12:28:04 +0100

pythonmagick (0.9.19-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/changelog: Remove trailing whitespaces
  * Convert git repository from git-dpm to gbp layout

  [ Bastien Roucariès ]
  * Bug fix by rebuilt: "Undefined symbol in python2.7
    PythonMagick.x86_64-linux-gnu.so", thanks to Dave Williams
    (Closes: #875610).
  * Bug fix: "remove hack that prevents building C extension for all
    supported versions of python", thanks to Michael Hudson-Doyle
    (Closes: #905261).

 -- Bastien Roucariès <rouca@debian.org>  Sun, 20 Jan 2019 11:32:57 +0100
