=== debian/rules ===
#!/usr/bin/make -f

export VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

d=--buildsystem=autoconf --builddirectory="{build_dir}"
export PYBUILD_NAME=pythonmagick
export PYBUILD_SYSTEM=custom
export PYBUILD_CLEAN_ARGS=dh_auto_clean $d;
export PYBUILD_CONFIGURE_ARGS=dh_auto_configure $d -- \
	--disable-silent-rules --disable-static \
	--with-python-min-version={version.major}.{version.minor}
export PYBUILD_BUILD_ARGS=dh_auto_build $d
export PYBUILD_INSTALL_ARGS=dh_auto_install $d --destdir="{destdir}"
export PYBUILD_TEST_ARGS=dh_auto_test $d

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install
	find debian/ -name "*.la" -delete
