=== debian/tests/control ===
Tests: python3
Restrictions: allow-stderr
Depends: python3-all, python3-pythonmagick
