=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.imagemagick.org/download/python/PythonMagick-(.*)@ARCHIVE_EXT@
